olsrd(8)

NAME
olsrd - Optimized Link State Routing protocol daemon

SYNOPSIS
olsrd [ -i interface1 [interface2 ...] ] [ -f configfile ] [ -d debuglevel ] [ -ipv6 ] [ -ipc ] [ -dispin ] [ -dispout ] [ -nofork ] [ -bcast broadcastaddress ] [ -delgw ] [ -hint HELLO interval ] [ -tcint TC interval ] [ -midint MID interval ] [ -hnaint HNA interval ] [ -T scheduler poll rate ] [ -hemu IP address ]

DESCRIPTION
olsrd is an implementation of the Optimized Link State Routing protocol for Mobile Ad-Hoc networks(MANET). The protocol is described in RFC3626. It is designed to be run as a standalone server process - but as it is still in an experimental stage most users will prefer running it with some debug output which is directed to STDOUT.

This manual page only lists the command line arguments. For details of the configuration file see the comments included in /etc/olsrd.conf. Note that none of these options need to be set at the command line - all these options and others can be set in the configuration file.

This implementation also features an alternative routing scheme based on link quality using an ETX-like metric developed by the c-base community in Berlin. To enable and tweak this mode you must use the configuration file.

The homepage of olsrd is http://www.olsr.org

OPTIONS

-i interface1 ... interfaceN
    This option specifies on what network interfaces olsrd should run. These interfaces cannot be aliased interfaces such as eth0:1.

-f configfile
    This option overrides the default configuration file path used by olsrd - /etc/olsrd.conf

-d debuglevel
    This option specifies the amount of debug information olsrd should write to STDOUT. If set to 0 olsrd will run in the background.

-ipv6
    This option instructs olsrd to use the Internet Protocol version 6. The default is version 4.

-ipc
    This option allows the GUI front-end created fro olsrd to connect to olsrd at runtime.

-dispin
    This option, when set, causes olsrd to display all incoming packet data on STDOUT. When using IPv4 the data is displayed in decimal format, when using IPv6 the data is displayed in hexadecimal format.

-dispout
    This option, when set, causes olsrd to display all outgoing packet data on STDOUT. When using IPv4 the data is displayed in decimal format, when using IPv6 the data is displayed in hexadecimal format.

-nofork
    This option, when set, causes olsrd not to fork and run in the background if started with debuglevel 0. Useful for init scripts.

-delgw
    If this option is set olsrd will remove any default routes set prior to adding an Internet route based on OLSR routing.

-bcast broadcastaddress
    This option specifies what IPv4 broadcastaddress to use for OLSR control traffic. The only value that currently makes sense when setting broadcast address mannually is 255.255.255.255. The default action is to use the broadcastaddres that the network interface is preconfigured with(per interface).

-hint seconds
    This value sets the interval on which HELLO messages should be generated. The value is a floating point number representing seconds.

-tcint seconds
    This value sets the interval on which TC messages should be generated. The value is a floating point number representing seconds.

-midint seconds
    This value sets the interval on which MID messages should be generated. The value is a floating point number representing seconds.

-hnaint seconds
    This value sets the interval on which HNA messages should be generated. The value is a floating point number representing seconds.

-T seconds
    This option sets the polling intervall of the scheduler. The default is 0.1 seconds. This option should only be considered if running with really low emission intervals.

-hemu IP address
    Use this option to connect to the olsr_switch network simulation application. Here IP address will be the IP address that the process will set as its main address in the emulation mode. This address has no connection to the real IP-stack and can be chosen freely.

FILES
/etc/olsrd.conf

SEE ALSO
olsrd.conf(8).